Bug 169139 - Cluster hangs due to name length restriction
Summary: Cluster hangs due to name length restriction
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-23 15:28 UTC by Wendy Cheng
Modified: 2009-04-16 20:10 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0198
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 19:50:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0198 normal SHIPPED_LIVE system-config-cluster bug fix update 2006-03-09 05:00:00 UTC

Description Wendy Cheng 2005-09-23 15:28:43 UTC
+++ This bug was initially created as a clone of Bug #169136 +++ - filed to ask
for sanity check cluster name length in system-config-cluster GUI. 

Description of problem:
Red Hat GPS engineer on-site with customer reported cluster hung. The issue was
solved by restricting max cluster name to 15 characters.  

From: Nicholas Strugnell (nstrug@redhat.com)

Two bugzillas required:
1. Better documentation. The docs are particularly weak addressing how to get
the cluster manager started on the 2nd (and 3rd and 4th...) nodes after running
system-config-cluster on the 1st node. The 15 char limit also needs to be doc'd.
2. Need proper sanity checks in system-config-cluster, ccs_tool etc. to stop us
starting a cluster with too big a name.

Version-Release number of selected component (if applicable):
RHCS cluster on RHEL4U1

Additional info:
1) Patrick Caulfield has enforced "cman_tool join" to sanity checks the cluster
name (code into cvs already). 
2) The bugzilla was cloned to ask "system-config-cluster" sanity check the
cluster name length.

Comment 1 Jim Parsons 2005-11-01 13:56:10 UTC
Fixed in 1.0.17-1.0

Comment 3 Red Hat Bugzilla 2006-03-09 19:50:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0198.html



Note You need to log in before you can comment on or make changes to this bug.